﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using Infragistics.DragDrop;

namespace DragDropExample
{
    using Infragistics.Controls.Grids;

    public partial class XamDataGridPage : Page
    {
        public XamDataGridPage()
        {
            InitializeComponent();

            List<string> items = new List<string> { "ABCD", "ABC", "ABCDEF", "AB", "A", "ABC", "ABCDEF", "AB", "ABC", "ABCDEF", "AB" };
            this.xamGrid.ItemsSource = items;
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void OnClick_ApplyDragTemplate(object sender, RoutedEventArgs e)
        {
            DataTemplate dataTemplate = (DataTemplate)this.LayoutRoot.Resources["dragTemplate2"];
            this.xamGrid.RowDragTemplate = dataTemplate;
        }

        private void OnClick_SetDragChannels(object sender, RoutedEventArgs e)
        {
            this.xamGrid.RowDragChannels.Add("Channel A");
        }

        private void xamGrid_RowDragStart(object sender, RowDragDropEventArgs e)
        {
            // uncomment in order to cancel the current operation
            // ((DragDropStartEventArgs)e.DragDropEventArgs).Cancel = true;
        }

        private void xamGrid_RowDrop(object sender, RowDragDropEventArgs e)
        {
            string data = (string)e.DragDropEventArgs.Data;
        }

    }
}
